# Class Segment

Class Segment

Declaration :

- C++ : class Segment

Artifact : segment

Attribut start

Declaration :

- Uml : # start : Time
- C++ : protected: Time start

Attribut length

Declaration :

- Uml : # length : Time
- C++ : protected: Time length

duration (span) of this timeline segment.

Relation elements (<directional aggregation>)

Declaration :

- Uml : # elements : ExplicitPlacement, multiplicity : *
- C++ : protected: list<ExplicitPlacement *> elements

relevant MObjects comprising this segment. TODO: actually necessary??